تقييم الموضوع :
  • 0 أصوات - بمعدل 0
  • 1
  • 2
  • 3
  • 4
  • 5
[سؤال] كيف اخلي البرنامج يشتغل بدون نت فروم ورك و طريقة اختيار النت فروم ورك
#1
السلام عليكم


شباب انا حاب اسال كيف اخلي البرنامج يشتغل بدون نت فروم ورك يعني مثال انا ابغى اطور برنامح على نت فروم ورك 4.0 ومثلن واحد يبغا يشغل البرنامج عنده بس ما عنده نت فروم ورك في جهازاه ابي طريقه انه ما يحتاج نت فروم ورك وثاني شي حاب اسال كيف اختار نسخة النت فروم ورك الي اطور فيه


طبعنا انا نسخة البيسك 2010


وشكرا
الرد
تم الشكر بواسطة: Fantastico , Fantastico , محمد سالم المحترف
#2
وعليكم السلام ،،، اخي حسان انته بتقول عاوز اروح العمل بالسيارة ومش حركب السيارة ،،، طبعاً مستحيل تجي

عاوز تصمم برنامج بالدوت نت ومش عاوزه يشتغل بالدوت نت ،،، طبعاً مستحيل تجي

لأنك لما تصمم مشروع جديد لا بد من أختيار و تحديد النت فريم وورك اولاً ،،، وبعد ذلك (after that) بالإنجليزي Tongue لابد الجهاز اللي عاوز يشغل مشروعك يكون فيه نفس الفريم وورك اللي انته صممت مشروعك بناء عليه ...... إنتهى .

ولتحديد الفريم وورك شوف الصورة التالية .

الرد
#3
اذا كنت تريد تشغيل برنامجك على جميع انواع الوندوز افتراضيا ودون تنزيل الفريم وورك


لديك خطوتين :

الاولى - استهداف الفريم وورك 2.0 (كما هو واضح في شرح اخي حريف البرمجة)
الثانية - جعل ملف app.config يبدو بالشكل التالي :



PHP كود :
<?xml version="1.0" encoding="utf-8"?>
<configuration>
<startup> 
  <supportedRuntime version="v2.0.50727"/>
  <supportedRuntime version="v4.0"/> 
</startup>
</configuration> 


بعد وضع الكود السابق ، سيعمل برنامجك على اصدارات الفريم وورك (2.0, 3.0, 3.5 , 4.0 , 4.5 , 4.5.1) فيكفي ان يكون احد من هذه الاصدارات موجودة ليعمل برنامجك .


فبما ان وندوز xp يحتوي على فريم وورك 2.0 افتراضيا
وبما ان وندوز فيستا يحتوي على فريم وورك 3.0 افتراضيا
وبما ان وندوز 7 يحتوي على 3.5 افتراضيا
وبما ان وندوز 8 يحتوي على 4.5 افتراضيا


هذا يعني ان برنامجك سيعمل حتما وبدون الحاجة الى تنزيل الفريم وورك ، لان نسخ الفريم وورك موجودة في الاصل في جميع نسخ الوندوز
الفرق فقط هو في رقم الاصدار ، وبما انك نفذت الخطوات السابقة ، فأصبح برنامجك يتوافق مع اي اصدار من 2.0 الى 4.5.1
وبالتالي سيعمل على اي وندوز افتراضيا (دون الحاجة الى تنزيل الفريم وورك) Smile



المصدر - فيه جدول جميل في النهاية اتمنى تاخذون نظرة عليه :

How to: Configure an App to Support .NET Framework 4 or 4.5
الرد
#4
(08-07-14, 01:20 AM)الشاكي لله كتب : اذا كنت تريد تشغيل برنامجك على جميع انواع الوندوز افتراضيا ودون تنزيل الفريم وورك


لديك خطوتين :

الاولى - استهداف الفريم وورك 2.0 (كما هو واضح في شرح اخي حريف البرمجة)
الثانية - جعل ملف app.config يبدو بالشكل التالي :



PHP كود :
<?xml version="1.0" encoding="utf-8"?>
<configuration>
<startup> 
  <supportedRuntime version="v2.0.50727"/>
  <supportedRuntime version="v4.0"/> 
</startup>
</configuration> 


بعد وضع الكود السابق ، سيعمل برنامجك على اصدارات الفريم وورك (2.0, 3.0, 3.5 , 4.0 , 4.5 , 4.5.1) فيكفي ان يكون احد من هذه الاصدارات موجودة ليعمل برنامجك .


فبما ان وندوز xp يحتوي على فريم وورك 2.0 افتراضيا
وبما ان وندوز فيستا يحتوي على فريم وورك 3.0 افتراضيا
وبما ان وندوز 7 يحتوي على 3.5 افتراضيا
وبما ان وندوز 8 يحتوي على 4.5 افتراضيا


هذا يعني ان برنامجك سيعمل حتما وبدون الحاجة الى تنزيل الفريم وورك ، لان نسخ الفريم وورك موجودة في الاصل في جميع نسخ الوندوز
الفرق فقط هو في رقم الاصدار ، وبما انك نفذت الخطوات السابقة ، فأصبح برنامجك يتوافق مع اي اصدار من 2.0 الى 4.5.1
وبالتالي سيعمل على اي وندوز افتراضيا (دون الحاجة الى تنزيل الفريم وورك) Smile



المصدر - فيه جدول جميل في النهاية اتمنى تاخذون نظرة عليه :

How to: Configure an App to Support .NET Framework 4 or 4.5



اخوي يعطيك العافيه بس وين احط هذا الكود ووين ملف app ممكن تشرح لي
الرد
تم الشكر بواسطة: نبيل جعران
#5
(08-07-14, 05:39 AM)hassan كتب :
(08-07-14, 01:20 AM)الشاكي لله كتب : [font=Times New Roman][size=large][color=#2F4F4F]Framework 4 or 4.5[/url]

اخوي يعطيك العافيه بس وين احط هذا الكود ووين ملف app ممكن تشرح لي

ان شاء الله يكون شرحي صحيح أخي لاني مبتدأ وحسب مافهمت هذا ما عليك القيام به



ثم تغير الإعدادت الى 2.0 كالتالي



عند الظغط على ok سيظهر لك الملف app.config اقر عليه مرتين ثم غير الاعدادت كما طلب منك الأخ في المكان المحدد بالاصفر

الرد
تم الشكر بواسطة: الشاكي لله , ابو ابراهيم
#6
(08-07-14, 01:20 AM)الشاكي لله كتب : اذا كنت تريد تشغيل برنامجك على جميع انواع الوندوز افتراضيا ودون تنزيل الفريم وورك


لديك خطوتين :

الاولى - استهداف الفريم وورك 2.0 (كما هو واضح في شرح اخي حريف البرمجة)
الثانية - جعل ملف app.config يبدو بالشكل التالي :




PHP كود :
<?xml version="1.0" encoding="utf-8"?>
<configuration>
<startup> 
  <supportedRuntime version="v2.0.50727"/>
  <supportedRuntime version="v4.0"/> 
</startup>
</configuration> 



بعد وضع الكود السابق ، سيعمل برنامجك على اصدارات الفريم وورك (2.0, 3.0, 3.5 , 4.0 , 4.5 , 4.5.1) فيكفي ان يكون احد من هذه الاصدارات موجودة ليعمل برنامجك .


فبما ان وندوز xp يحتوي على فريم وورك 2.0 افتراضيا
وبما ان وندوز فيستا يحتوي على فريم وورك 3.0 افتراضيا
وبما ان وندوز 7 يحتوي على 3.5 افتراضيا
وبما ان وندوز 8 يحتوي على 4.5 افتراضيا


هذا يعني ان برنامجك سيعمل حتما وبدون الحاجة الى تنزيل الفريم وورك ، لان نسخ الفريم وورك موجودة في الاصل في جميع نسخ الوندوز
الفرق فقط هو في رقم الاصدار ، وبما انك نفذت الخطوات السابقة ، فأصبح برنامجك يتوافق مع اي اصدار من 2.0 الى 4.5.1
وبالتالي سيعمل على اي وندوز  افتراضيا (دون الحاجة الى تنزيل الفريم وورك)  Smile



المصدر - فيه جدول جميل في النهاية اتمنى تاخذون نظرة عليه :

How to: Configure an App to Support .NET Framework 4 or 4.5


أخى فكيف إذا تبرمج البرامج مثل كاسبر والبرامج هذه وتعمل دون طلب نت فروم ورك وهى برمجت على الفيجوال بيسك أيضا
الرد
تم الشكر بواسطة:
#7
مشكور أخى على هذا الشرح المفيد
شكرا أخى الكريم
أريد المساعده فى هذا الموضوع للأهميه فى خلال اليوم لأننى بدرس دورة لغات برمجه أونلاين
وهذه الدوره يتطلب منى عمل مشروع لكل مستوى قبل الشروع فى المستوى التالى
رجاءا الدخول وقراءة الموضوع التالى
http://vb4arb.com/vb/Thread-%D9%83%D9%88...0#pid55240
الرد
تم الشكر بواسطة:
#8
نفذت ولم تحل المشكلة   Huh
الرد
تم الشكر بواسطة:
#9
نفذت كل ما قلته بشأن جعل البرنامج يعمل على جميع اصدارات نت فروم ورك!
فأنشأت برنامج يعمل على الاصدار الثانى من نت فروم ورك ودخلت على ملف Config وعدلته كما قلت. وكان عندي على الجهاز 4 اصدارات من النت فروم ورك v2.0, v3.0, v3.5, v4.0 فدخلت على الويندوز ودخلت على مجلد اصدارات النت فروم ورك وغيرت اسم مجلد النت فرو ورك الاصدار الثانى لاشغل برنامجى ويعمل على اى اصدار من الاصدارات الاخري ولكنه طلب برنامج نت فروم ورك الاصدار الثانى ولن يعمل الا عليه.
ماذا افعل بشأن هذا؟ ارجوا الرد اخى فى اقرب وقت
الرد
تم الشكر بواسطة:
#10
(27-12-16, 01:09 PM)Mohamed371 كتب : نفذت كل ما قلته بشأن جعل البرنامج يعمل على جميع اصدارات نت فروم ورك!
فأنشأت برنامج يعمل على الاصدار الثانى من نت فروم ورك ودخلت على ملف Config وعدلته كما قلت. وكان عندي على الجهاز 4 اصدارات من النت فروم ورك v2.0, v3.0, v3.5, v4.0 فدخلت على الويندوز ودخلت على مجلد اصدارات النت فروم ورك وغيرت اسم مجلد النت فرو ورك الاصدار الثانى لاشغل برنامجى ويعمل على اى اصدار من الاصدارات الاخري ولكنه طلب برنامج نت فروم ورك الاصدار الثانى ولن يعمل الا عليه.
ماذا افعل بشأن هذا؟ ارجوا الرد اخى فى اقرب وقت
نصيحتي خلي النت فروم وورك و اعمل للبرنامج سيت اب ببرنامج سيت اب فاكتوري و رح يشتغل البرنامج معك على اي اصدار من ويندوز دون مشاكل 
Dodgy Dodgy
الرد
تم الشكر بواسطة: فوبيا


المواضيع المحتمل أن تكون متشابهة .
الموضوع : الكاتب الردود : المشاهدات : آخر رد
  [VB.NET] كيف بامكاني معرفة الاشخاص اللى فاتحين البرنامج ميدو الفنان 1 20 منذ 15 دقيقة مضت
آخر رد: ميدو الفنان
  [VB.NET] اختيار عنصر محدد بالكمبوبوكس محمد اسماعيل 6 137 22-08-19, 11:09 PM
آخر رد: ابراهيم ايبو
  طريقة عمل KeyGen بالفيجوال بيسك دوت نت EHAB.NET 15 5,237 22-08-19, 02:37 AM
آخر رد: أمجد وضاح
  [VB.NET] مشكلة اثناء التشغيل البرنامج محمد بوقزاحة 1 64 18-08-19, 08:20 PM
آخر رد: سعود
  نقل البرنامج عند العميل Emam emam 16 315 08-08-19, 05:46 PM
آخر رد: Emam emam
  [VB.NET] كوووود يجعل البرنامج يفتح 5 مرات فقط bakriano30@yahoo.com 10 292 02-08-19, 03:14 PM
آخر رد: ahmadpal
  [سؤال] ممكن طريقة عمل مشغل فيديو بجودات مختلفة ScreamVoice 7 729 28-07-19, 01:56 PM
آخر رد: yami007
  [VB.NET] مشكلة في تنسيق التاريخ عند توزيع البرنامج على المستخدمين khairallah 2 162 26-07-19, 11:55 PM
آخر رد: khairallah
  تثبيت البرنامج DOX.1 1 100 21-07-19, 04:39 PM
آخر رد: محمد كريّم
  [VB.NET] اسهل طريقة لطباعة تقرير ريبورت فيوير بين تاريخين khairallah 1 123 19-07-19, 03:02 AM
آخر رد: حريف برمجة

التنقل السريع :


يقوم بقرائة الموضوع: بالاضافة الى ( 1 ) ضيف كريم